# _NvOSD_ColorParams Struct Reference

Holds the color parameters of the box or text to be overlayed. More...

`#include <nvosd.h>`

List of all members.

## Public Attributes

double | red
| Holds red component of color.
double | green
| Holds green component of color.
double | blue
| Holds blue component of color.
double | alpha
| Holds alpha component of color.

## Detailed Description

Holds the color parameters of the box or text to be overlayed.

Definition at line 48 of file nvosd.h.

## Member Data Documentation

double _NvOSD_ColorParams::alpha

Holds alpha component of color.

Value should be in the range 0-1.

Definition at line 58 of file nvosd.h.

double _NvOSD_ColorParams::blue

Holds blue component of color.

Value should be in the range 0-1.

Definition at line 55 of file nvosd.h.

double _NvOSD_ColorParams::green

Holds green component of color.

Value should be in the range 0-1.

Definition at line 52 of file nvosd.h.

double _NvOSD_ColorParams::red

Holds red component of color.

Value should be in the range 0-1.

Definition at line 49 of file nvosd.h.

The documentation for this struct was generated from the following file:

- include/nvosd.h